Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I am trying to install octave on my mac air I have updated my homebrew, as is my XCode and its command line tools.

Here is the error I am getting:

==> Using Homebrew-provided fortran compiler.
This may be changed by setting the FC environment variable.
==> ./configure --prefix=/usr/local/Cellar/octave/3.6.2 --with-blas=-Wl,-framewo
==> make all
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[3]: *** [liboctave.la] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Error: octave did not build
Logs: /Users/uyiewnil/Library/Logs/Homebrew/octave/
Help: https://github.com/mxcl/homebrew/wiki/troubleshooting

Thanks a lot!

share|improve this question

migrated from stackoverflow.com Oct 29 '12 at 15:50

This question came from our site for professional and enthusiast programmers.

    
What does the log say? –  itsbruce Oct 29 '12 at 11:44
    
@itsbruce I'm having the same problem. The log indicates that these .so files have undefined symbols: .libs/liboctave_la-cmd-edit.o, .libs/liboctave_la-cmd-hist.o, .libs/liboctave_la-oct-rl-edit.o, .libs/liboctave_la-oct-rl-hist.o –  user170271 Nov 5 '12 at 13:24
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.